'opkg list-upgradable' lists up-to-date packages on latest SHR unstable

Jens Seidel jensseidel at users.sf.net
Sun Mar 14 21:22:34 CET 2010

On Sun, Mar 14, 2010 at 04:20:58PM +0100, Jan Girlich wrote:
> root at om-gta02:~# opkg list-upgradable                
> python-edbus - 0.3.1+svnr46504-ml0.4 - 0.3.1+svnr46510-ml0.4
> [...]
> root at om-gta02:~# opkg install python-edbus
> Package python-edbus (0.3.1+svnr46510-ml0.4) installed in root is up to
> date.

Can you check your file /usr/lib/opkg/status? Does it mention python-edbus
twice (or check the output of opkg list_installed)? If yes this is an old
problem :-(

I currently try to fix a broken /usr/lib/opkg/status as well. My file was
truncated and I fixed it by reinstalling all packages found via 
ls /usr/lib/opkg/info/*.list but not available in status.


More information about the community mailing list